VayuDocumentationIntegrationsAPI ReferenceChange Log
SupportGet started now
API EndpointsCatalog products

Update Catalog product

Update a Catalog product by id.

PUT
/catalogProducts/{catalogProductId}

Authorization

BearerAuthorizer
AuthorizationBearer <token>

In: header

Path Parameters

catalogProductId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string

The name of the catalog product

description?string

The description of the catalog product

externalId?string

The external ID of the catalog product

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/catalogProducts/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "catalogProduct": {    "name": "string",    "description": "string",    "externalId": "string",    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
{  "type": "invalid_request_error",  "code": "string",  "message": "string",  "param": "string",  "params": [    {      "param": "string",      "message": "string"    }  ]}
{  "type": "authentication_error",  "code": "authentication_failed",  "message": "string"}
{  "type": "invalid_request_error",  "code": "resource_not_found",  "message": "string"}
{  "type": "rate_limit_error",  "code": "rate_limit_exceeded",  "message": "string"}
{  "type": "api_error",  "code": "internal_error",  "message": "string"}